<p-card styleClass="admin-panel">

    <div class="p-grid" *ngIf="loading">
        <div class="p-col-12 text-center" [style]="{ padding: '2rem' }">
            <p-progressSpinner strokeWidth="2"
                               [style]="{width: '4rem', height: '4rem'}">
            </p-progressSpinner>
            <p>Loading admin settings...</p>
        </div>
    </div>

    <div class="p-grid p-nogutter" *ngIf="!loading">

        <div class="p-col-12">
            <div class="p-grid p-justify-between" style="margin: 0; padding: .5rem;">
                <div class="p-col-12 p-xl-6" style="font-size: 1.6rem;">
                    <em class="pi pi-folder"></em>
                    {{ lang.getCategories() }}
                </div>
                <div class="p-col-12 p-md-3 p-xl-2">
                    <button pButton [label]="lang.getCreateCategory()"
                            (click)="createCategory.showCreateCategoryModal()"
                            class="p-button-secondary p-button-raised"
                    ></button>
                </div>
            </div>
        </div>

    </div>

    <div class="p-grid p-nogutter" *ngIf="!loading">

        <div class="p-col-12 admin-category" *ngFor="let category of categories" >
            <div class="p-grid p-nogutter p-justify-end admin-category-content">
                <div class="p-col-12 p-lg-9">
                    {{ category.name + ' (' + category.slug + ')' }}
                </div>
                <div class="p-col-12 p-lg-3 text-right ">
                    <button pButton icon="pi pi-pencil"
                            [pTooltip]="lang.getEditCategory()"
                            (click)="editCategory(category)"
                            [style]="{margin: '0 .5rem'}"></button>
                    <button pButton icon="pi pi-trash"
                            (click)="deleteCategory(category)"
                            [pTooltip]="lang.getDeleteCategory()">
                    </button>
                </div>
            </div>
        </div>

    </div>

</p-card>

<app-create-category
    #createCategory
    (categoryCreated)="onCategoryCreated()">
</app-create-category>
